function KompatibilitaetsCheck ($SpeicherOrt){
    $Inhalte = Get-Content $SpeicherOrt
    if ($Inhalte.Length -eq 0) {
        Write-Host "Laenge = 0"
        return $false
    }
    else {
        foreach ($Zeile in $Inhalte) {
            if (-not ($Zeile -match "'\w+','.+'") -and $Zeile.Length -gt 0) {
                Write-Host "Fehler in Zeile" $Zeile
                return $false
            }
        }    
    }
    return $true
}

Function TxtDateienFinden($Pfad)
{
$TxtDateien = $(Get-Childitem $Pfad\*.txt)

$KompatibleTxtDateien = @()

if ($TxtDateien.Length -gt 0)
{
    foreach ($TxtDatei in $TxtDateien) {
        Write-Host "Aktuelle txt-Datei: " $TxtDatei
        if (KompatibilitaetsCheck $TxtDatei) {
            $KompatibleTxtDateien += $TxtDatei
            Write-Host "            Datei Akzeptiert"
        }
        else {
            Write-Host "             Datei nicht Akzeptiert"
        }
    }
    if ($KompatibleTxtDateien.Length -gt 0) {
        return $(Split-Path $KompatibleTxtDateien -Leaf)        
    }
    else {
        Return
    }
}
else
{
    return
}
}

TxtDateienFinden "Z:\Automatisierung\WSCAD\IMPORT-EXPORT_WSCAD\SKRIPT-KONVERTIERUNG\Dieses Verzeichnis bitte nicht als Ablage nutzen"